@echo off
echo Backing up original graphics to "Rocket" directory
md rocket
dmgraph misla5 -e rocket\misla5.gif
dmgraph misla1 -e rocket\misla1.gif   
dmgraph misla7a3 -e rocket\misla7a3.gif   
dmgraph misla8a2 -e rocket\misla8a2.gif   
dmgraph misla6a4 -e rocket\misloa6a4.gif   
dmgraph rocka0 -e rocket\rocka0.gif

dmgraph misfa0 -e rocket\misfa0.gif
dmgraph misfb0 -e rocket\misfb0.gif
dmgraph misfc0 -e rocket\misfc0.gif
dmgraph misfd0 -e rocket\misfd0.gif
dmgraph misga0 -e rocket\misga0.gif
dmgraph misgb0 -e rocket\misgb0.gif

dmgraph mislb0 -e rocket\mislb0.gif
dmgraph mislc0 -e rocket\mislc0.gif
dmgraph misld0 -e rocket\misld0.gif
dmgraph broka0 -e rocket\broka0.gif


echo Now replacing Rockets with Chooks!
dmgraph misla5 -s chook\chookbak.gif
echo Frame 1 of 16 replaced 
dmgraph misla1 -s chook\chookfrn.gif   
echo Frame 2 of 16 replaced 
dmgraph misla7a3 -s chook\chooksid.gif   
echo Frame 3 of 16 replaced 
dmgraph misla8a2 -s chook\chooksdf.gif   
echo Frame 4 of 16 replaced 
dmgraph misla6a4 -s chook\chooksdb.gif   
echo Frame 5 of 16 replaced 
dmgraph rocka0 -s chook\chooksit.gif
echo Frame 6 of 16 replaced 

dmgraph misfa0 -i-15,-30 -s chook\c_2misfa.gif
echo Frame 7 of 16 replaced 
dmgraph misfb0 -i-15,-43 -s chook\c_2misfb.gif
echo Frame 8 of 16 replaced 
dmgraph misfc0 -i-15,-35 -s chook\c_2misfc.gif
echo Frame 9 of 16 replaced 
dmgraph misfd0 -i-15,-28 -s chook\c_2misfd.gif
echo Frame 10 of 16 replaced 
dmgraph misga0 -i-15,-30 -s chook\c_2misga.gif
echo Frame 11 of 16 replaced 
dmgraph misgb0 -i-15,-30 -s chook\c_2misgb.gif
echo Frame 12 of 16 replaced 

dmgraph mislb0 -s chook\c_ckmslb.gif
echo Frame 13 of 16 replaced 
dmgraph mislc0 -s chook\c_ckmslc.gif
echo Frame 14 of 16 replaced 
dmgraph misld0 -s chook\c_ckmsld.gif
echo Frame 15 of 16 replaced 
dmgraph broka0 -s chook\c_chkbox.gif
echo Frame 16 of 16 replaced

echo Installation complete!
echo I hope you enjoy Chook Doom!
echo To restore original graphics type "unchook".
